Bug 645856 - ESB Plug-In: Wrong description used for ESB Service Entities
ESB Plug-In: Wrong description used for ESB Service Entities
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Len DiMaggio
:
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
 
Reported: 2010-10-22 12:52 EDT by Larry O'Leary
Modified: 2013-08-31 07:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.4 using rhq-jbossesb-soa5-plugin-5.0.0.GA.jar
Last Closed: 2013-08-31 07:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3520 Major Closed JON Plug-In: Wrong description used for ESB Service Entities 2013-08-31 12:25:38 EDT
JBoss Issue Tracker SOA-2463 Major Closed JON Plug-In: Wrong description used for ESB Service Entities 2013-08-31 12:25:38 EDT

  None (edit)
Description Larry O'Leary 2010-10-22 12:52:21 EDT
Description of problem:
Viewing an ESB service entity in shows the same description for all services within a service deployment.

Version-Release number of selected component (if applicable):
RHQ 3.0.0 / JON 2.4.0 / SOA-P 5.0.2 (admin-console)

How reproducible:
Always

Steps to Reproduce:
   1) Install and setup a stock SOA-P instance:
      JBOSS_HOME='/opt/jboss/soa-p/jboss-soa-p.5.0.2/jboss-as'
      sed -i 's/^.*admin=admin$/admin=admin/g' "${JBOSS_HOME}"/server/*/conf/props/soa-users.properties
      
   2) Start the SOA-P instance:
      cd "${JBOSS_HOME}"/bin && ./run.sh -c default -b 0.0.0.0

   3) Add new SOA-P instance to JON inventory - JON server/agent must have SOA-P 5 plug-in installed

   4) From left navigation tree, expand and select: <host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> DeadLetterService Service
      Note Summary >> Description: Scheduled Service to Redeliver Messages

   5) From left navigation tree, expand and select: <host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> Deployments -> jbossesb.esb -> Services -> RedeliverService Service
      Note Summary >> Description: Scheduled Service to Redeliver Messages  (same as above)

   6) Note description attribute from the deployment descriptor:
      grep -C2 'name="DeadLetterService"' "${JBOSS_HOME}"/server/default/deploy/jbossesb.esb/META-INF/jboss-esb.xml
      grep -C2 'name="RedeliverService"' "${JBOSS_HOME}"/server/default/deploy/jbossesb.esb/META-INF/jboss-esb.xml

  
Actual results:
<host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> DeadLetterService Service

- and -

<host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> Deployments -> jbossesb.esb -> Services -> RedeliverService Service

Both show a description of: Scheduled Service to Redeliver Messages

Expected results:
<host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> JBoss ESB -> Deployments -> jbossesb.esb -> Services -> DeadLetterService Service

Should show a description of: Dead Messages can be send to this service, which is configured to store and/or notify

<host> -> JBossAS Server (JBossAS5 plugin) -> <SOA-P host:1099 (default)> -> Deployments -> jbossesb.esb -> Services -> RedeliverService Service

Should show a description of: Scheduled Service to Redeliver Messages

Additional info:
This is a bug in ESBDiscoveryComponent in ESB plug-in. See up-stream bug (https://jira.jboss.org/browse/JBESB-3520) for patch.
Comment 1 Charles Crouch 2010-12-20 10:40:26 EST
Pushing to SOA QE team
Comment 2 Pavel Kralik 2011-01-11 15:07:20 EST
Tested installation on JON-2.4.1 build #74 with discovered SOA-P 5.1.0.ER6 (profile production) for admin console and JON. Expected texts are in place.

Note You need to log in before you can comment on or make changes to this bug.